org.apache.lucene.analysis.synonym

## Class SynonymMap

- java.lang.Object
- - org.apache.lucene.analysis.synonym.SynonymMap

-     public class SynonymMap
      extends Object

  A map of synonyms, keys and values are phrases.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SynonymMap.Builder` Builds an FSTSynonymMap.
    `static class` | `SynonymMap.Parser` Abstraction for parsing synonym files.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `FST<BytesRef>` | `fst` map<input word, list<ord>>
    `int` | `maxHorizontalContext` maxHorizontalContext: maximum context we need on the tokenstream
    `static char` | `WORD_SEPARATOR` for multiword support, you must separate words with this separator
    `BytesRefHash` | `words` map<ord, outputword>

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SynonymMap(FST<BytesRef> fst, BytesRefHash words, int maxHorizontalContext)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### WORD_SEPARATOR

          public static final char WORD_SEPARATOR

      for multiword support, you must separate words with this separator
      See Also:
        Constant Field Values

    - #### fst

          public final FST<BytesRef> fst

      map<input word, list<ord>>

    - #### words

          public final BytesRefHash words

      map<ord, outputword>

    - #### maxHorizontalContext

          public final int maxHorizontalContext

      maxHorizontalContext: maximum context we need on the tokenstream

  - ### Constructor Detail

    - #### SynonymMap

          public SynonymMap(FST<BytesRef> fst,
                            BytesRefHash words,
                            int maxHorizontalContext)

Copyright © 2000-2024 Apache Software Foundation. All Rights Reserved.